Orvelt

Update a knowledge base item

PATCH
/kb/{id}

Update an organization knowledge base item.

Requires a Business session or a resource-authorized OAuth token and the applicable member access. API keys are not accepted.

Authorization

cookieorvelt-biz.session_token<token>

An existing Business session. Browser requests must also pass origin and CSRF checks.

Path Parameters

id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Request Body

application/json
  1. body
url?string
Formaturi
Lengthlength <= 2048
text?string
Length1 <= length <= 10000

Response Body

OK

application/json
  1. response
item*
Example Request
curl -X PATCH 'https://api.orvelt.com/v1/kb/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Content-Type: application/json' \
  -d '{}'
Example Response
{
  "item": {
    "id": "string",
    "organizationId": "string",
    "storageOwner": "admin",
    "link": "http://example.com",
    "title": "string",
    "description": "string",
    "markdown": "string",
    "markdownKey": "string",
    "metadataKey": "string",
    "contentLength": 0,
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  }
}